﻿#compare filehashes to alternate NTFS stream
$ErrorActionPreference = 'Stop'
#$diffout="d:\diffs"
$files=(get-childitem  -exclude *.SHA256 -recurse).fullname 
foreach ($file in $files) {
    $hash=Get-FileHash $file
    try{ 
        $readhash=get-content "$file.SHA256"
        #$readhash=get-content $file -stream "SHA256" #Was for testing nfts streams
        if ($hash.hash -ne $readhash) {
            write-host $file "DIFFERENT"
 #           copy $file $diffout
            #Write-host "Actual" $hash.hash "Stored $readhash"
        } else {
           # write-host $file "Hashes match"
        }
    } Catch  {
        Write-host $file "Hash missing"
  #      copy $file $diffout
    }
}